E-MailRelay

Classes | Variables
GNet::DnsMessageRecordTypeImp Namespace Reference

A private implementation namespace for GNet::DnsMessage. More...

## Classes
struct | Pair
| A std::pair-like structure used in GNet::DnsMessage, needed for gcc 4.2.1. More...

## Variables
constexpr std::array< Pair, 23U > | map

## Detailed Description

A private implementation namespace for GNet::DnsMessage.

## Variable Documentation

## ◆ map

constexpr std::array<Pair,23U> GNet::DnsMessageRecordTypeImp::map
| constexpr

Initial value:
= {{
{ 1 , "A" } ,
{ 2 , "NS" } ,
{ 3 , "MD" } ,
{ 4 , "MF" } ,
{ 5 , "CNAME" } ,
{ 6 , "SOA" } ,
{ 7 , "MB" } ,
{ 8 , "MG" } ,
{ 9 , "MR" } ,
{ 10 , "NULL_" } ,
{ 11 , "WKS" } ,
{ 12 , "PTR" } ,
{ 13 , "HINFO" } ,
{ 14 , "MINFO" } ,
{ 15 , "MX" } ,
{ 16 , "TXT" } ,
{ 28 , "AAAA" } ,
{ 33 , "SRV" } ,
{ 41 , "OPT" } ,
{ 43 , "DS" } ,
{ 46 , "RRSIG" } ,
{ 47 , "NSEC" } ,
{ 48 , "DNSKEY" }
}}

Definition at line 465 of file gdnsmessage.cpp.